const DB_USER = process.env.DB_USER || '';
const DB_HOST = process.env.DB_HOST || '';
const DB_PORT = process.env.DB_PORT || '';
const DB_DIALECT = process.env.DB_DIALECT || '';
const DB_PASSWORD = process.env.DB_PASSWORD || "";
const DB_NAME = process.env.DB_NAME || ''; 
const port = process.env.PORT || '';
const API_PREFIX = process.env.API_PREFIX || '';
const FROM_EMAIL = process.env.SEND_MAIL_FROM_EMAIL || '';
const EMAIL_PASSWORD = process.env.EMAIL_PASSWORD || '';
const EMAIL_SMTP_HOST = process.env.EMAIL_SMTP_HOST || '';
const EMAIL_SMTP_PORT = process.env.EMAIL_SMTP_PORT || '';
const FCM_SERVER_KEY = process.env.FCM_SERVER_KEY || '';
export const config = {
    dev: {
        sql: {
                host: DB_HOST,
                port: DB_PORT,
                user: DB_USER,
                pass: DB_PASSWORD,
                dbName: DB_NAME,
                dialect: DB_DIALECT
        },
        jwt: {
            secret: "tijcUhfepjut5juxsotaZfob7putvawutvyv"
        },
        server:{
            port:port
        },
        api: {
            prefix: API_PREFIX
        },
        smtp: {
            from_email: FROM_EMAIL,
            email_password: EMAIL_PASSWORD,
            email_smtp_host: EMAIL_SMTP_HOST,
            email_smtp_port: EMAIL_SMTP_PORT
        },
        fcm: {
            server_key: FCM_SERVER_KEY
        }
    },
    test: {
        sql: {
                host: DB_HOST,
                port: DB_PORT,
                user: DB_USER,
                pass: DB_PASSWORD,
                dbName: DB_NAME,
                dialect: DB_DIALECT
        },
        jwt: {
            secret: "tijcUhfepjut5juxsotaZfob7putvawutvyv"
        },
        server:{
            port:port
        },
        api: {
            prefix: API_PREFIX
        },
        smtp: {
            from_email: FROM_EMAIL,
            email_password: EMAIL_PASSWORD,
            email_smtp_host: EMAIL_SMTP_HOST,
            email_smtp_port: EMAIL_SMTP_PORT
        }
    },
    prod: {
        sql: {
                host: DB_HOST,
                port: DB_PORT,
                user: DB_USER,
                pass: DB_PASSWORD,
                dbName: DB_NAME,
                dialect: DB_DIALECT
        },
        jwt: {
            secret: "tijcUhfepjut5juxsotaZfob7putvawutvyv"
        },
        server:{
            port:port
        },
        api: {
            prefix: API_PREFIX
        },
        smtp: {
            from_email: FROM_EMAIL,
            email_password: EMAIL_PASSWORD,
            email_smtp_host: EMAIL_SMTP_HOST,
            email_smtp_port: EMAIL_SMTP_PORT
        }
    }
}
