'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('SubcrpitionPlans', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      planName: {
        type: Sequelize.STRING
      },
      planDetails: {
        type: Sequelize.STRING
      },
      planValidity: {
        type: Sequelize.STRING
      },
      price: {
        type: Sequelize.STRING
      },
      salePrice: {
        type: Sequelize.STRING
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE
      }
    });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('SubcrpitionPlans');
  }
};