import db from "../../models";

const QuestionCategory = db.QuestionCategory;
const Choice = db.Choice;

const loadData = async () => {
    const addQuesCategory = async () => {
        const quesCategories = await QuestionCategory.findAll()
        if (quesCategories.length == 0) {
            await QuestionCategory.create({
                id: 1,
                name: 'CustomInput'
            });
        }
    };

    const addChoices = async () => {
        const choices = await Choice.findAll()
        if (choices.length == 0) {
            await Choice.create({
                id: 1,
                name: 'CustomInput',
                quesCategoryId: 1
            });
        }
    };

    await addQuesCategory();
    await addChoices();
};

export default {
    loadData
}