import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import datingPageMediaController from './datingPageMedia.controller';
import datingPageMediaValidator from './datingPageMedia.validator';

const router = express.Router();
router.post('/datingPageMedia', tokenValidation, datingPageMediaValidator.addMediaPayloadValidate, datingPageMediaController.addMedias);
router.get('/datingPageMedia', tokenValidation, datingPageMediaController.getMedias);
router.delete('/datingPageMedia', tokenValidation, datingPageMediaValidator.deleteMediaPayloadValidate, datingPageMediaController.deleteMedias);

export default router;