import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import NotificationSettingsController from './notificationSettings.controller';
import NotificationSettingsValidator from './notificationSettings.validator';

const router = express.Router();
// PUT: notificationSettings  -  to add new notificationSettings
router.put('/notificationSettings', tokenValidation, NotificationSettingsValidator.updateNotificationSettingsValidator, NotificationSettingsController.updateUserNotificaitonSettings);

// GET: notificationSettings  -  to get notificationSettings
router.get('/notificationSettings', tokenValidation, NotificationSettingsValidator.getNotificationSettingsValidator, NotificationSettingsController.getUserNotificaitonSettings);

export default router;