import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import otpController from './otp.controller';
import otpValidator from './otp.validator';


const router = express.Router();

router.post('/sendSmsOTP', tokenValidation, otpValidator.sendSmsOTP, otpController.sendSmsOTP);
router.post('/validateSmsOTP', tokenValidation, otpValidator.validateSmsOTP, otpController.validateSmsOTP);

export default router;