import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import PromptsQuestionsController from './promptsQuestions.controller';
import PromptsQuestionsValidator from './promptsQuestions.validator';

const router = express.Router();
// POST: promptsQuestions  -  to add new promptsQuestions
router.post('/promptsQuestions', tokenValidation, PromptsQuestionsValidator.addQuesCategoryPayloadValidator, PromptsQuestionsController.addNewPromptsQuestions);

// GET: promptsQuestions  -  to get promptsQuestions
router.get('/promptsQuestions', tokenValidation, PromptsQuestionsController.getQuestionList);

// GET: promptsQuestionsByPromptsCategory  -  to get promptsQuestions By PromptsQuestion Category
router.get('/promptsQuestionsByPromptsCategory', tokenValidation, PromptsQuestionsValidator.getChoicesQueryValidatior, PromptsQuestionsController.getQuestionListByPromptsCategoryId);

export default router;