import db from "../../../models";
const QuestionCategory = db.QuestionCategory;
const addQuestionCategory = async (data: any) => {
    try {
        return await QuestionCategory.create(data);
    } catch (err: any) {
        throw err;
    }
};

const getQuestionCategoriesWithoutCond = async () => {
    try {
        return await QuestionCategory.findAll();
    } catch (err: any) {
        throw err;
    }
};

const getOneQuestionCategoryById = async (id: string) => {
    try {
        return await QuestionCategory.findOne({
            where: {
                id: id
            }
        });
    } catch (err: any) {
        throw err;
    }
};

export default {
    addQuestionCategory,
    getQuestionCategoriesWithoutCond,
    getOneQuestionCategoryById
}