import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import UserOnlineLogsController from './userOnlineLogs.controller';

const router = express.Router();
// POST: addOnlineLog  -  to add new Online Log
router.post('/addOnlineLog', tokenValidation, UserOnlineLogsController.addOnlineLog);

export default router;