'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('ReportedUsers', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      Comment: {
        type: Sequelize.STRING
      },
      LastReportedTime: {
        type: Sequelize.STRING
      },
      Action: {
        type: Sequelize.BOOLEAN
      },
      TotalReports: {
        type: Sequelize.NUMBER
      },
      ReportReason: {
        type: Sequelize.STRING
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE
      }
    });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('ReportedUsers');
  }
};