import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import AgeRangesController from './ageRanges.controller';
import AgeRangesValidator from './ageRanges.validator';

const router = express.Router();
// PUT: ageRanges  -  to add new ageRanges
router.put('/ageRanges', tokenValidation, AgeRangesValidator.updateAgeRageValidator, AgeRangesController.updateUserAgeRange);

// GET: ageRanges  -  to get ageRanges
router.get('/ageRanges', tokenValidation, AgeRangesController.getUserAgeRamge);

export default router;