import db from "../../../models";
const AgeRanges = db.AgeRanges;

const getAgeRangeByUserId = async (userId: any) => {
    try {
        return await AgeRanges.findOne({
            where: {
                userId: String(userId)
            },
            raw: true
        });
    } catch (err: any) {
        throw err;
    }
};

const updateAgeRangeByUserId = async (userId: any, data: any) => {
    try {
        if (await AgeRanges.findOne({
            where: {
                userId: String(userId)
            },
            raw: true
        })) {
            return await AgeRanges.update(data, {
                where: {
                    userId: String(userId)
                }
            });
        } else {
            data.userId = userId
            return await AgeRanges.create(data);
        }

    } catch (err: any) {
        throw err
    }
};

export default {
    getAgeRangeByUserId,
    updateAgeRangeByUserId
};