import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import DistanceMatchController from './distanceMatch.controller';
import DistanceMatchValidator from './distanceMatch.validator';
const router = express.Router();

router.post('/distanceMatch', tokenValidation, DistanceMatchValidator.addDistanceMatchValidator, DistanceMatchController.addDistanceMatch);
router.get('/distanceMatch', tokenValidation, DistanceMatchController.getDistanceMatch);

export default router;