import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import FindFriendsController from './findFriends.controller';
const router = express.Router();

router.get('/getNearByFriends', tokenValidation, FindFriendsController.getNearByFriends);

export default router;