import express from 'express';
import forgotResetPasswordController from './forgotResetPassword.controller';
import forgetResetPasswordValidator from './forgetResetPassword.validator';
const router = express.Router();

router.post('/validateForgetPasswordOTP', forgetResetPasswordValidator.validateForgetPasswordOTP, forgotResetPasswordController.validateOTP);
router.post('/forgotPassword', forgetResetPasswordValidator.forgotPassword, forgotResetPasswordController.forgotPassword);
router.post('/resetPassword', forgetResetPasswordValidator.resetPassword, forgotResetPasswordController.resetPassword);

export default router;