import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import PromptsCategoryController from './promptsCategory.controller';
import PromptsCategoryValidator from './promptsCategory.validator';

const router = express.Router();
// POST: promptsCategory  -  to add new promptsCategory
router.post('/promptsCategory', tokenValidation, PromptsCategoryValidator.addPromptsCategoryPayloadValidator, PromptsCategoryController.addNewPromptsCategory);

// GET: promptsCategory  -  to get promptsCategory
router.get('/promptsCategory', tokenValidation, PromptsCategoryController.getPromptsCategories);

export default router;