import db from "../../../models";
const PromptsCategory = db.PromptsCategory;
const addPromptsCategory = async (data: any) => {
    try {
        return await PromptsCategory.create(data);
    } catch (err: any) {
        throw err;
    }
};

const getPromptsCategoriesWithoutCond = async () => {
    try {
        return await PromptsCategory.findAll();
    } catch (err: any) {
        throw err;
    }
};

const getOnePromptsCategoryById = async (id: string) => {
    try {
        return await PromptsCategory.findOne({
            where: {
                id: id
            }
        });
    } catch (err: any) {
        throw err;
    }
};

export default {
    addPromptsCategory,
    getPromptsCategoriesWithoutCond,
    getOnePromptsCategoryById
}