import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import StoryPrivacyController from './storyPrivacy.controller';
import StoryPrivacyValidator from './storyPrivacy.validator';
const router = express.Router();

router.post('/storyPrivacy', tokenValidation, StoryPrivacyValidator.addStoryPrivacyPayloadValidate, StoryPrivacyController.addNewStoryPrivacy);
router.get('/storyPrivacy', tokenValidation, StoryPrivacyController.getStoryPrivacy);


export default router;