import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import UserHearAboutUsFromController from './userHearAboutUsFrom.controller';
import UserHearAboutUsFromValidator from './userHearAboutUsFrom.validator';

const router = express.Router();
// POST: userHearAboutUs  -  to add new userHearAboutUs
router.post('/userHearAboutUs', tokenValidation, UserHearAboutUsFromValidator.addUserHearAboutUsFromValidation, UserHearAboutUsFromController.addNewHearLocation);

// GET: userHearAboutUs  -  to get userHearAboutUs
router.get('/userHearAboutUs', tokenValidation, UserHearAboutUsFromController.getMyHearLocation);
export default router;