import express from 'express';
import { tokenValidation } from '../../middlewares/validateToken';
import UserPromptsController from './userPrompts.controller';
import UserPromptsValidator from './userPrompts.validator';

const router = express.Router();
// POST: userPrompts  -  to add new userPrompts
router.post('/userPrompts', tokenValidation, UserPromptsValidator.addUserPromptsPayloadValidator, UserPromptsController.addNewUserPrompts);

// GET: userPrompts  -  to get userPrompts
router.get('/userPrompts', tokenValidation, UserPromptsController.getMyPrompts);

export default router;